## org.apache.batik.svggen.font.table
Class Panose

    java.lang.Object
      org.apache.batik.svggen.font.table.Panose

    public class Panose

extends java.lang.Object

Constructor Summary
`Panose(byte[] panose)` Creates new Panose

Method Summary
`byte` `getArmStyle()`
`byte` `getContrast()`
`byte` `getFamilyType()`
`byte` `getLetterForm()`
`byte` `getMidline()`
`byte` `getProportion()`
`byte` `getSerifStyle()`
`byte` `getStrokeVariation()`
`byte` `getWeight()`
`byte` `getXHeight()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Panose

    public Panose(byte[] panose)

  Creates new Panose

Method Detail

### getFamilyType

    public byte getFamilyType()

### getSerifStyle

    public byte getSerifStyle()

### getWeight

    public byte getWeight()

### getProportion

    public byte getProportion()

### getContrast

    public byte getContrast()

### getStrokeVariation

    public byte getStrokeVariation()

### getArmStyle

    public byte getArmStyle()

### getLetterForm

    public byte getLetterForm()

### getMidline

    public byte getMidline()

### getXHeight

    public byte getXHeight()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.